Source Coding Routines
Source Coding Module

## Classes

class | itpp::GMM
| Gaussian Mixture Model Class. More...
class | itpp::Vector_Quantizer
| Class for vector quantization. More...
class | itpp::Scalar_Quantizer
| Class for vector quantization. More...

## Functions

ITPP_EXPORT mat | itpp::vqtrain (Array< vec > &DB, int SIZE, int NOITER, double STARTSTEP=0.2, bool VERBOSE=true)
| Function for vector quantization training.

## Detailed Description

## Function Documentation

## vqtrain()

ITPP_EXPORT mat itpp::vqtrain | ( | Array< vec > & | DB,
|  | int | SIZE,
|  | int | NOITER,
|  | double | STARTSTEP = 0.2,
|  | bool | VERBOSE = true )

Function for vector quantization training.

The following code illustrates how the VQ can be trained.

VQ Quantizer;
mat A;
Array<vec> database;
// read vectors into database somehow
...
// train a vq
A = vqtrain(database, 1024, 1000000);
Quantizer.set_codebook(A);
itpp::Array
General array class.
Definition array.h:105
itpp::vqtrain
ITPP_EXPORT mat vqtrain(Array< vec > &DB, int SIZE, int NOITER, double STARTSTEP=0.2, bool VERBOSE=true)
Function for vector quantization training.

Generated on for IT++ by Doxygen 1.15.0